visible_hostname squid.wwtt.hk
http_port 80 accel vhost vport
#http_port 80 accel defaultsite=121.40.151.56 vhost vport
dns_nameservers 223.5.5.5 223.6.6.6

cache_mgr report@vqiu.cn
cache_effective_user squid
cache_effective_group squid

cache_mem 128 MB
cache_dir ufs /usr/local/squid/var/cache/squid 128 16 256
cache_swap_low 90
cache_swap_high 95
maximum_object_size 20 MB
minimum_object_size 0 KB
maximum_object_size_in_memory 4 MB
memory_replacement_policy lru

pid_filename /usr/local/squid/var/logs/squid.pid
access_log /usr/local/squid/var/logs/access.log
#cache_store_log none
cache_store_log /usr/local/squid/var/logs/store.log
cache_log /usr/local/squid/var/logs/cache.log
forwarded_for off 

# Error Display
error_directory /usr/local/squid/share/errors/zh-cn

redirect_children 30
fqdncache_size 1024
ipcache_size 1024
ipcache_low 90
ipcache_high 95


# Cache Directory
coredump_dir /usr/local/squid/var/cache/squid

# Ruler
#reload_into_ims on
#refresh_pattern ^/$ 0 66% 240 reload-into-ims
#refresh_pattern ^.+/(<^.>*)$ 0 66% 720 reload-into-ims
#refresh_pattern -i /.(htm|html|txt|js|css|xml)$ 0 66% 1440 reload-into-ims
#refresh_pattern -i /.(gif|jpg|jpeg|png|swf|wma)$ 0 66% 1440 reload-into-ims
#refresh_pattern -i /.(doc?x|ppt?x|xls?x|pdf|rar|zip|7z|bz2|gz)$ 0 50% 2880 ignore-reload
#refresh_pattern . 0 66% 10080 reload-into-ims	

# Proxy setting
cache_peer 10.168.36.224 parent 80 0 no-query originserver

# No Cache Content
acl QUERY urlpath_regex cgi-bin \? .php .cgi .asp .aspx .jsp .do .avi .wmv .zip .exe
cache deny QUERY

# ACL 
acl webserver dst all
http_access allow webserver
http_access deny All

# Hidden Squid Version
reply_header_access Via deny all
reply_header_access Cache-Control deny all
reply_header_access Server deny all
reply_header_access X-Squid-Error deny all
reply_header_access X-Forwarded-For deny all
request_header_access Via deny all
request_header_access Age deny all
request_header_access X-Squid-Error deny all
request_header_access Pragma deny all
